Package org.kie.internal.jaxb

## Class CorrelationKeyXmlAdapter

- java.lang.Object
- - javax.xml.bind.annotation.adapters.XmlAdapter<java.lang.String,​CorrelationKey>
  - - org.kie.internal.jaxb.CorrelationKeyXmlAdapter

-     public class CorrelationKeyXmlAdapter
      extends javax.xml.bind.annotation.adapters.XmlAdapter<java.lang.String,​CorrelationKey>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CorrelationKeyXmlAdapter()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `marshal​(CorrelationKey key)` |
    `static java.lang.String` | `marshalCorrelationKey​(CorrelationKey key)` | This method has been made "static"ally available so that non-JAXB code does not have to (unnecesarily) instantiate an instance fo this class.
    `CorrelationKey` | `unmarshal​(java.lang.String key)` |
    `static CorrelationKey` | `unmarshalCorrelationKey​(java.lang.String key)` | This method has been made "static"ally available so that non-JAXB code does not have to (unnecesarily) instantiate an instance fo this class.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CorrelationKeyXmlAdapter

          public CorrelationKeyXmlAdapter()

  - ### Method Detail

    - #### unmarshal

          public CorrelationKey unmarshal​(java.lang.String key)
                                   throws java.lang.Exception

      Specified by:
        `unmarshal` in class `javax.xml.bind.annotation.adapters.XmlAdapter<java.lang.String,​CorrelationKey>`
      Throws:
        `java.lang.Exception`

    - #### unmarshalCorrelationKey

          public static CorrelationKey unmarshalCorrelationKey​(java.lang.String key)

      This method has been made "static"ally available so that non-JAXB code does not have to (unnecesarily) instantiate an instance fo this class.
      Parameters:
        `key` - A `CorrelationKey`
      Returns:
        A `String` equivalent of the key

    - #### marshal

          public java.lang.String marshal​(CorrelationKey key)
                                   throws java.lang.Exception

      Specified by:
        `marshal` in class `javax.xml.bind.annotation.adapters.XmlAdapter<java.lang.String,​CorrelationKey>`
      Throws:
        `java.lang.Exception`

    - #### marshalCorrelationKey

          public static java.lang.String marshalCorrelationKey​(CorrelationKey key)

      This method has been made "static"ally available so that non-JAXB code does not have to (unnecesarily) instantiate an instance fo this class.
      Parameters:
        `key` - A `CorrelationKey`
      Returns:
        A `String` equivalent of the key